QCA::QPipe Class Reference
QCA user API

`#include <QtCrypto>`

## Public Member Functions

bool | create (bool secure=false)
| QPipe (QObject *parent=nullptr)
QPipeEnd & | readEnd ()
void | reset ()
QPipeEnd & | writeEnd ()

## Detailed Description

A FIFO buffer (named pipe) abstraction.

This class creates a full buffer, consisting of two ends (QPipeEnd). You can obtain each end (after calling create()) using readEnd() and writeEnd(), however you must call enable() on each end before using the pipe.

By default, the pipe ends are not inheritable by child processes. On Windows, the pipe is created with inheritability disabled. On Unix, the FD_CLOEXEC flag is set on each end's file descriptor.

## Constructor & Destructor Documentation

## QPipe()

QCA::QPipe::QPipe | ( | QObject * | parent = nullptr | ) |

Standard constructor.

Note
  You must call create() before using the pipe ends.

Parameters

  parent | the parent object for this object

References QPipe().

Referenced by QPipe().

## Member Function Documentation

## reset()

void QCA::QPipe::reset | ( |  | ) |

Reset the pipe.

At this point, the readEnd() and writeEnd() calls will no longer be valid.

## create()

bool QCA::QPipe::create | ( | bool | secure = false | ) |

Create the pipe.

Parameters

  secure | whether to use secure memory (true) or not (false)

References create().

Referenced by create().

## readEnd()

QPipeEnd & QCA::QPipe::readEnd | ( |  | ) |

inline

The read end of the pipe.

## writeEnd()

QPipeEnd & QCA::QPipe::writeEnd | ( |  | ) |

inline

The write end of the pipe.

The documentation for this class was generated from the following file:

- qpipe.h